NXP NFC Reader Library v4.040.05.011646

Data Fields
phlnLlcp_Sw_DataParams Struct Reference
Link Abstraction Layer » NFCForum-LLCP » Component : Software

LLCP parameter structure. More...

## Data Fields
uint16_t | wId
| Layer ID for this component, NEVER MODIFY!. More...
void * | pPalI18092DataParams
| Pointer to PAL 18092mPI/18092mT parameter structure. More...
phlnLlcp_LMDataParams_t | sLocalLMParams
| Local General Bytes. More...
phlnLlcp_LMDataParams_t | sRemoteLMParams
| Remote General Bytes. More...
uint8_t | bAgreedVersion
| Agreed Version number after Version Agreement. More...
uint8_t | bCurrentClientCnt
| Number of Registered Client count. More...
uint8_t | bSdpClientSAP
| SAP Address of the Client requested for SDP. More...
uint8_t | bMacType
| MAC type initialized either PHLN_LLCP_INITIATOR OR PHLN_LLCP_TARGET. More...
phOsal_EventObj_t | LlcpEventObj
| Event Object. More...

## Detailed Description

LLCP parameter structure.

## Field Documentation

## § wId

uint16_t phlnLlcp_Sw_DataParams::wId

Layer ID for this component, NEVER MODIFY!.

## § pPalI18092DataParams

void* phlnLlcp_Sw_DataParams::pPalI18092DataParams

Pointer to PAL 18092mPI/18092mT parameter structure.

## § sLocalLMParams

phlnLlcp_LMDataParams_t phlnLlcp_Sw_DataParams::sLocalLMParams

Local General Bytes.

## § sRemoteLMParams

phlnLlcp_LMDataParams_t phlnLlcp_Sw_DataParams::sRemoteLMParams

Remote General Bytes.

## § bAgreedVersion

uint8_t phlnLlcp_Sw_DataParams::bAgreedVersion

Agreed Version number after Version Agreement.

## § bCurrentClientCnt

uint8_t phlnLlcp_Sw_DataParams::bCurrentClientCnt

Number of Registered Client count.

## § bSdpClientSAP

uint8_t phlnLlcp_Sw_DataParams::bSdpClientSAP

SAP Address of the Client requested for SDP.

## § bMacType

uint8_t phlnLlcp_Sw_DataParams::bMacType

MAC type initialized either PHLN_LLCP_INITIATOR OR PHLN_LLCP_TARGET.

## § LlcpEventObj

phOsal_EventObj_t phlnLlcp_Sw_DataParams::LlcpEventObj

Event Object.

The documentation for this struct was generated from the following file:

- phlnLlcp.h